<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.2) on Mon Dec 28 23:27:42 EST 2020 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-12-28">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">H</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="../spellingbee/client/tabs/ScoreTab.html" title="class in spellingbee.client.tabs"><span class="typeNameLink">ScoreTab</span></a> - Class in <a href="../spellingbee/client/tabs/package-summary.html">spellingbee.client.tabs</a></dt>
<dd>
<div class="block">Date 2020-12-28
 This class contains everything about the scores (Did not do much as it was the job of obi-wan)</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/client/tabs/ScoreTab.html#%3Cinit%3E(spellingbee.network.Client)">ScoreTab(Client)</a></span> - Constructor for class spellingbee.client.tabs.<a href="../spellingbee/client/tabs/ScoreTab.html" title="class in spellingbee.client.tabs">ScoreTab</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/network/Client.html#sendAndWaitMessage(java.lang.String)">sendAndWaitMessage(String)</a></span> - Method in class spellingbee.network.<a href="../spellingbee/network/Client.html" title="class in spellingbee.network">Client</a></dt>
<dd>
<div class="block">This method takes as input a String, sends the request to the server and returns the response.</div>
</dd>
<dt><a href="../spellingbee/network/Server.html" title="class in spellingbee.network"><span class="typeNameLink">Server</span></a> - Class in <a href="../spellingbee/network/package-summary.html">spellingbee.network</a></dt>
<dd>
<div class="block">A class created to handle the Server code.</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/network/Server.html#%3Cinit%3E()">Server()</a></span> - Constructor for class spellingbee.network.<a href="../spellingbee/network/Server.html" title="class in spellingbee.network">Server</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../spellingbee/network/ServerController.html" title="class in spellingbee.network"><span class="typeNameLink">ServerController</span></a> - Class in <a href="../spellingbee/network/package-summary.html">spellingbee.network</a></dt>
<dd>
<div class="block">This class will run on the server side and is used to connect the server code to the backend business code.</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/network/ServerController.html#%3Cinit%3E()">ServerController()</a></span> - Constructor for class spellingbee.network.<a href="../spellingbee/network/ServerController.html" title="class in spellingbee.network">ServerController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../spellingbee/server/SimpleSpellingBeeGame.html" title="class in spellingbee.server"><span class="typeNameLink">SimpleSpellingBeeGame</span></a> - Class in <a href="../spellingbee/server/package-summary.html">spellingbee.server</a></dt>
<dd>
<div class="block">Date 2020-12-28
 This class hold all information regarding the spellingbee game
 It is on the server side</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/server/SimpleSpellingBeeGame.html#%3Cinit%3E()">SimpleSpellingBeeGame()</a></span> - Constructor for class spellingbee.server.<a href="../spellingbee/server/SimpleSpellingBeeGame.html" title="class in spellingbee.server">SimpleSpellingBeeGame</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../spellingbee/client/package-summary.html">spellingbee.client</a> - package spellingbee.client</dt>
<dd>&nbsp;</dd>
<dt><a href="../spellingbee/client/tabs/package-summary.html">spellingbee.client.tabs</a> - package spellingbee.client.tabs</dt>
<dd>&nbsp;</dd>
<dt><a href="../spellingbee/client/tabs/events/package-summary.html">spellingbee.client.tabs.events</a> - package spellingbee.client.tabs.events</dt>
<dd>&nbsp;</dd>
<dt><a href="../spellingbee/network/package-summary.html">spellingbee.network</a> - package spellingbee.network</dt>
<dd>&nbsp;</dd>
<dt><a href="../spellingbee/server/package-summary.html">spellingbee.server</a> - package spellingbee.server</dt>
<dd>&nbsp;</dd>
<dt><a href="../spellingbee/client/SpellingBeeClient.html" title="class in spellingbee.client"><span class="typeNameLink">SpellingBeeClient</span></a> - Class in <a href="../spellingbee/client/package-summary.html">spellingbee.client</a></dt>
<dd>
<div class="block">Date 2020-12-28
 This class is the application client</div>
</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/client/SpellingBeeClient.html#%3Cinit%3E()">SpellingBeeClient()</a></span> - Constructor for class spellingbee.client.<a href="../spellingbee/client/SpellingBeeClient.html" title="class in spellingbee.client">SpellingBeeClient</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/client/SpellingBeeClient.html#start(javafx.stage.Stage)">start(Stage)</a></span> - Method in class spellingbee.client.<a href="../spellingbee/client/SpellingBeeClient.html" title="class in spellingbee.client">SpellingBeeClient</a></dt>
<dd>
<div class="block">Set the application</div>
</dd>
<dt><a href="../spellingbee/client/tabs/events/SubmitEvent.html" title="class in spellingbee.client.tabs.events"><span class="typeNameLink">SubmitEvent</span></a> - Class in <a href="../spellingbee/client/tabs/events/package-summary.html">spellingbee.client.tabs.events</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../spellingbee/client/tabs/events/SubmitEvent.html#%3Cinit%3E(spellingbee.network.Client,javafx.scene.control.TextField,javafx.scene.control.TextField,javafx.scene.control.TextField,javafx.scene.control.Button%5B%5D)">SubmitEvent(Client, TextField, TextField, TextField, Button[])</a></span> - Constructor for class spellingbee.client.tabs.events.<a href="../spellingbee/client/tabs/events/SubmitEvent.html" title="class in spellingbee.client.tabs.events">SubmitEvent</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">H</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
